DRUO
Get started
Connect Links

Get Connect Link

GEThttps://api.druo.com/connect/link/{connect_link_uuid}

Retrieve the details of an existing Connect Link.

Returns the configuration, styling parameters, references, and metadata associated with a specific Connect Link using its unique UUID.

Path parameters

Response

uuidstringoptional

The unique identifier (UUID) of the Connect Link.

Example: clk_aee571f2-cdf0-4fad-8abb-74fcb8b83f20
codestringoptional

The Connect Link's unique code.

Example: CLR33JXMNXU
urlstringoptional

The URL that the user should be redirected to in order to connect their account.

Example: https://link.druo.com/connect/secure?sl=fd6f7577c
expiredbooleanoptional

Indicates whether the link is expired.

Example: false
background_colorstringoptional

The HEX code for the link's background color.

Example: #333333
button_colorstringoptional

The HEX code for the link's button color.

Example: #ffffff
button_text_colorstringoptional

The HEX code for the link's button text color.

Example: #000000

The HEX code for the content box text color.

Example: #333333

The HEX code for the content background color.

Example: #eaeaea
intro_textobjectoptional

The key-value pairs containing the introductory text localized for each language. The text must include the merchant name (as registered in the business profile) and 'DRUO'.

Example: {"en_US": "NOVO uses DRUO to connect to your bank account.", "es_CO": "NOVO utiliza a DRUO para conectarse con tu cuenta bancaria."}
delivery_statusstringoptional

The delivery status of the Connect Link.

Example: CREATED
end_userEndUserCustomeroptional

Information about the end-user customer.

default_institutionstringoptional

The default institution identifier for the Connect Link.

primary_referencestringoptional

The primary reference of the Connect Link. This can be any value used to associate the connected account with an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The secondary reference of the Connect Link. This can be any value used to associate the connected account with an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
default_languagestringoptional

The language code used to display the link. If left blank, the system defaults to English.

Possible values:es_COen_US
redirect_urlstringoptional

The URL to redirect to after the connection flow is completed. Parameters like Reference, Status, and Connected Account Code will be appended as URL query parameters.

Example: https://example.com
expiration_datestringoptional

The expiration date for this Connect Link in GMT. If set, the user is presented with an error upon opening the link.

Example: 2021-11-16T23:23:38

If true, the user is redirected directly to the redirect URL without displaying the default DRUO redirect page.

Example: false
metadataobjectoptional

A set of key-value pairs that you can attach to the object.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation date and time of the account in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last update date and time of the account in GMT.

Example: 2021-11-15T23:23:38Z
NextGETList Connect Links